
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;


/*
Classe de test pour le déplacement du cavalierB.
 */
public class TestDepF {
    @Parameterized.Parameter
    protected Fou fouB;
    @Parameterized.Parameter
    protected Fou fouN;
    @Parameterized.Parameter
    protected Echiquier ech;

    @Before
    public void setUP(){
        fouB = new Fou(Piece.BLANC);
        fouN = new Fou(Piece.NOIR);
        ech = new Echiquier();
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestDeplacement() throws Exception{
        ech.placer(fouB, 5,5);
       ech.deplacer(5,5,6,6);
        Assert.assertEquals(fouB,ech.getPiece(6,6));

    }

    @Test
    public void TestPrise() throws Exception{
        ech.placer(fouB,3,3);
        ech.placer(fouN,4,4);
        ech.deplacer(3,3,4,4);
        Assert.assertEquals(fouB,ech.getPiece(4,4));
    }
}