import java.util.Scanner;

public class Jouer {

    public static void main(String[] args){

        /*
        Initialisation de l'échiquier
         */
        Echiquier ech = new Echiquier();


        /*
        Initialisation des 4 tours
         */
        Tour tourB = new Tour("B");
        Tour tourB2 = new Tour("B");
        Tour tourN = new Tour("N");
        Tour tourN2 = new Tour("N");

        /*
        Placement des tours
         */
        ech.placer(tourB,7,0);
        ech.placer(tourB2,7,7);
        ech.placer(tourN,0,0);
        ech.placer(tourN2,0,7);

        /*
        Initialisation des 4 cavaliers
         */
        Cavalier cavB = new Cavalier("B");
        Cavalier cavB2 = new Cavalier("B");
        Cavalier cavN = new Cavalier("N");
        Cavalier cavN2 = new Cavalier("N");

        /*
        Placement des cavaliers
         */
        ech.placer(cavB, 7,1);
        ech.placer(cavB2,7,6);
        ech.placer(cavN,0,1);
        ech.placer(cavN2,0,6);


        /*
        Initialisation des 4 fous
         */
        Fou fouB = new Fou("B");
        Fou fouB2 = new Fou("B");
        Fou fouN = new Fou("N");
        Fou fouN2 = new Fou("N");

        /*
        Placement des fous
         */
        ech.placer(fouB,7,2);
        ech.placer(fouB2,7,5);
        ech.placer(fouN,0,2);
        ech.placer(fouN2,0,5);

        /*
        Initialisation des 2 dames
         */
        Dame dameB = new Dame("B");
        Dame dameN = new Dame("B");

        /*
        Placement des dames
         */
        ech.placer(dameB,7,3);
        ech.placer(dameN,0,3);

        /*
        Initialisation des 2 rois
         */
        Roi roiB = new Roi("B");
        Roi roiN = new Roi("N");

        /*
        Placement des rois
         */
        ech.placer(roiB,7,4);
        ech.placer(roiN,0,4);

        /*
        Initialisation et Placement des pions blancs
         */
        for (int i=0; i<8;i++)
        {
            Pion pion = new Pion("B");
            ech.placer(pion,6,i);
        }

        /*
        Initialisation et Placement des pions noirs
         */
        for (int i=0; i<8;i++)
        {
            Pion pion = new Pion("N");
            ech.placer(pion,1,i);
        }


        Scanner sc = new Scanner(System.in);
        System.out.println("Les BLANCS commencent");
        do {

            System.out.println(ech);
            System.out.println("Ligne de départ de la pièce");
            int ligD = sc.nextInt();
            System.out.println("Colonne de départ de la pièce");
            int colD = sc.nextInt();

            ech.afficherDepPossibles(ligD,colD);
            if (null != ech.getPiece(ligD,colD)) {
                System.out.println("Ligne d'arrivée");
                int ligA = sc.nextInt();
                System.out.println("Colonne d'arrivée");
                int colA = sc.nextInt();

                ech.deplacer(ligD, colD, ligA, colA);

                System.out.println(ech);
            }
        }while (true);
    }
}
