import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;


/*
Classe de test pour savoir si les tours existent avec une couleur.
 */
public class TestTour {
    @Parameterized.Parameter
    protected Tour tourB;
    @Parameterized.Parameter
    protected Tour tourN;

    @Before
    public void setUP(){
        tourB = new Tour(Piece.BLANC);
        tourN = new Tour(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", tourB.getCoul());
        Assert.assertEquals("N", tourN.getCoul());
    }

}
